# LegacyFlavour Mod v1.0.1 for Cities Skylines 2

Welcome to the updated version of LegacyFlavour, where we blend the charm of Cities Skylines 1 with the innovative gameplay of Cities Skylines 2. Our aim is to provide an enhanced city-building experience, combining nostalgic elements from the first game with the new features of its sequel.

## What's New in v1.0.1

- **New Translation**: Introduced a proper Traditional Chinese (zu-HANT) translation, thanks to ankyu_fubuki.
- **Icon Overriding Toggle**: Added an option to toggle icon overriding. Now you can choose to keep vanilla icons if preferred.
- **Dynamic Icon Updates**: Icons now update without needing to restart the game.
- **Cache-busting Fixes**: Resolved issues with cache-busting methods not working for zone icon updates.
- **Industrial Icon Hex Fix**: Corrected a missing hex replacement issue for industrial icons.

## Existing Features

- **Road Tool Unit Display**
- **Transparent Zone Grid Cells**
- **Re-worked Zone Colour Scheme**
- **Colour-Blindness Modes (WIP)**
- **Toggle Shortcuts**: 
  - ALT+Z: Toggle the zone colours mod.
  - SHIFT+Z: Cycle through colour blindness modes.
  - ALT+S: Toggle Sticky Infomode Whiteness.
  - SHIFT+W: Toggle Sticky Infomode Whiteness value override.
  - ALT+R: Reload the config file.
  - ALT+U: Toggle Units display.
- **Configure Zone Colours via JSON**
- **Dynamic Zone Borders** that adapt to snow coverage.
- **Dynamic UI Icons**
- **Sticky Infomode Whiteness**
- **Advanced UI System via HookUI**
- **Configurable Zoning Configuration**
- **Enhanced Control over Weather and Time**
- **UI Theme Editor**
- **Custom Theme Creation**
- **Accent and Background Accent Customization**
- **Integrated Themes in UI Options**
- **Language Support**: Multiple languages including German, Spanish, French, Italian, Japanese, Korean, Polish, Portuguese (Brazil), Russian, Chinese (Simplified), and now Traditional Chinese.

## Installation

- **Requirements**: BepInEx v5 and HookUI.
- **Download and Install**: Available on ThunderStore.io. Extract and copy files to the `BepInEx/plugins` folder in your Cities Skylines 2 directory.

## Support and Contributions

- Issues and questions can be raised on our [GitHub repository](https://github.com/Cities2Modding/LegacyFlavour).
- Contributions and suggestions are welcome via GitHub.

## Disclaimer

This is a fan-created mod, not officially associated with the Cities Skylines franchise.

## Acknowledgements

Thanks to the Cities Skylines modding community for their ongoing support and creativity.

---

Enjoy the enhanced city building experience with LegacyFlavour v1.0.1! Rediscover the legacy with modern enhancements. 🌃🌉